Module | ActiveSupport::JSON
In: | lib/active_support/json/decoding.rb lib/active_support/json/encoders/string.rb lib/active_support/json/encoding.rb lib/active_support/json/variable.rb

### Methods

decode encode

### Classes and Modules

Module ActiveSupport::JSON::Encoding
Class ActiveSupport::JSON::CircularReferenceError
Class ActiveSupport::JSON::ParseError
Class ActiveSupport::JSON::Variable

### Constants

DATE_REGEX | = | /^\d{4}-\d{2}-\d{2}|\d{4}-\d{1,2}-\d{1,2}[ \t]+\d{1,2}:\d{2}:\d{2}(\.[0-9]*)?(([ \t]*)Z|[-+]\d{2}?(:\d{2})?)?$/ |  | matches YAML-formatted dates

### Public Class methods

decode(json)

Converts a JSON string into a Ruby object.

encode(value, options = {})

Converts a Ruby object into a JSON string.

[Validate]